Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls.window
Class AbstractButtonPresentationContext

    java.lang.Object
      com.bea.netuix.servlets.controls.ControlContext
          com.bea.netuix.servlets.controls.PresentationContext
              com.bea.netuix.servlets.controls.window.AbstractButtonPresentationContext

All Implemented Interfaces
  Serializable

Direct Known Subclasses:
  ButtonPresentationContext, ToggleButtonPresentationContext

    public class AbstractButtonPresentationContext

extends PresentationContext

Used to provide access to presentation-related attributes specific to the `Button` in use. Typically used during portal rendering via look and feel skeleton files (e.g. buttondelete.jsp).

See Also
  `getAbstractButtonPresentationContext(javax.servlet.http.HttpServletRequest)`, Serialized Form

Field Summary
`static String` | `CLASS_NAME`

Method Summary
`static AbstractButtonPresentationContext` | `getAbstractButtonPresentationContext(javax.servlet.http.HttpServletRequest request)` This is a convenience method for returning a reference to the one and only `AbstractButtonPresentationContext` for a given `Button`.
`String` | `getAltText()` Returns the value specified by the altText attribute in the `Button` portal component.
`protected String` | `getContextKey()` Returns the context key.
`String` | `getEvent()` event represents a request parameter value which corresponds to a request parameter retrieved via `getEventParam`.
`String` | `getEventParam()` eventParam represents a request parameter name, to be appended to the `Button`s HREF URL, for example.
`String` | `getImage()` The image attribute represents the name of the standard image for this `Button`.
`String` | `getImageSrc()` The imageSrc attribute represents the content URI to the standard image for this `Button`, as might be supplied to the `src` attribute of an <img> tag.
`String` | `getName()` Returns the value specified by the name attribute in the `Button` portal component.
`WindowPresentationContext` | `getParentWindowPresentationContext()` Returns a `WindowPresentationContext` for this button, if one exists.
`String` | `getRolloverImage()` The rolloverImage attribute represents the name of the image to be rendered upon rollover of this `Button`.
`String` | `getRolloverImageSrc()` The rolloverImageSrc attribute represents the content URI to the image to be rendered upon rollover of this `Button`, as might be supplied to the `src` attribute of an <img> tag.
`String` | `getWindowLabel()` Get the instance label (portlet) or definition label (book, page) of the parent `Window` for this `Button` portal component.
`boolean` | `isParentPortlet()` Will return true if this `Button`'s parent is an instance of `Portlet`.

Methods inherited from class com.bea.netuix.servlets.controls.PresentationContext
`getAttributeRenderer, getChildren, getChildren, getFirstChild, getOrderedChildren, getParsedProperties, getPresentationClass, getPresentationId, getPresentationStyle, getProperties, getProperty, getProperty, getPropertyAsBoolean, getPropertyAsInt, getRenderFormat, getResolvedLocale, getTagName, isVisible, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLASS_NAME

    public static final String CLASS_NAME

Method Detail

### getImage

    public String getImage()

  The image attribute represents the name of the standard image for this `Button`.

  Returns
    the value of the image attribute for this `Button` portal component, if any

### getImageSrc

    public String getImageSrc()

  The imageSrc attribute represents the content URI to the standard image for this `Button`, as might be supplied to the `src` attribute of an <img> tag.

  Returns
    the value of the imageSrc attribute for this `Button` portal component, if any

### getRolloverImage

    public String getRolloverImage()

  The rolloverImage attribute represents the name of the image to be rendered upon rollover of this `Button`.

  Returns
    the value of the rolloverImage attribute for this `Button` portal component, if any

### getRolloverImageSrc

    public String getRolloverImageSrc()

  The rolloverImageSrc attribute represents the content URI to the image to be rendered upon rollover of this `Button`, as might be supplied to the `src` attribute of an <img> tag.

  Returns
    the value of the rolloverImageSrc attribute for this `Button` portal component, if any

### getAltText

    public String getAltText()

  Returns the value specified by the altText attribute in the `Button` portal component.

  Returns
    the value of altText, if any

### getName

    public String getName()

  Returns the value specified by the name attribute in the `Button` portal component.

  Returns
    Returns the name of the button, if any

### getWindowLabel

    public String getWindowLabel()

  Get the instance label (portlet) or definition label (book, page) of the parent `Window` for this `Button` portal component. This can be used to determine which resource a particular `Button` is residing on.

  Returns
    instance or definition label

### getEventParam

    public String getEventParam()

  eventParam represents a request parameter name, to be appended to the `Button`s HREF URL, for example. The value for the request parameter can be retrieved via the `getEvent` method.

  Returns
    the value of eventParam, if any

### getEvent

    public String getEvent()

  event represents a request parameter value which corresponds to a request parameter retrieved via `getEventParam`.

  Returns
    the value of event, if any

### getAbstractButtonPresentationContext

    public static AbstractButtonPresentationContext getAbstractButtonPresentationContext(javax.servlet.http.HttpServletRequest request)

  This is a convenience method for returning a reference to the one and only `AbstractButtonPresentationContext` for a given `Button`. Note this method will only work if called from within a portal (e.g. buttondelete.jsp skeleton). This method may return null if called when no appropriate context exists, but such a context should safely exist when being fetched from the associated skeleton JSP during normal portal rendering.

  Parameters
    `request` - The current HTTPServletRequest instance
  Returns
    A reference to the current AbstractButtonPresentationContext, if any

### isParentPortlet

    public boolean isParentPortlet()

  Will return true if this `Button`'s parent is an instance of `Portlet`.

  Returns
    true if this button is hosted inside a portlet (as opposed to a `Book`)

### getParentWindowPresentationContext

    public WindowPresentationContext getParentWindowPresentationContext()

  Returns a `WindowPresentationContext` for this button, if one exists.

  Returns
    a `WindowPresentationContext`, or null if none exists.

### getContextKey

    protected String getContextKey()

  Description copied from class: `com.bea.netuix.servlets.controls.ControlContext`

  Returns the context key. Subclasses may override this.

  Overrides:
    `getContextKey` in class `com.bea.netuix.servlets.controls.ControlContext`
  Returns
    context key

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.